| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::detail::SphericalWarper Class Reference
Images stitching » Images Warping

Warper that maps an image onto the unit sphere located at the origin. More...

`#include "warpers.hpp"`

Inheritance diagram for cv::detail::SphericalWarper:

## Public Member Functions
| SphericalWarper (float scale)
| Construct an instance of the spherical warper class. More...
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap)
| Builds the projection maps according to the given camera data. More...
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst)
| Projects the image. More...
Public Member Functions inherited from cv::detail::RotationWarperBase< SphericalProjector >
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap)
| Builds the projection maps according to the given camera data. More...
float | getScale () const
void | setScale (float val)
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst)
| Projects the image. More...
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst)
| Projects the image backward. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R)
| Projects the image point. More...
Rect | warpRoi (Size src_size, InputArray K, InputArray R)
Public Member Functions inherited from cv::detail::RotationWarper
virtual | ~RotationWarper ()

## Protected Member Functions
void | detectResultRoi (Size src_size, Point &dst_tl, Point &dst_br)
Protected Member Functions inherited from cv::detail::RotationWarperBase< SphericalProjector >
void | detectResultRoiByBorder (Size src_size, Point &dst_tl, Point &dst_br)

## Additional Inherited Members
Protected Attributes inherited from cv::detail::RotationWarperBase< SphericalProjector >
SphericalProjector | projector_

## Detailed Description

Warper that maps an image onto the unit sphere located at the origin.

Projects image onto unit sphere with origin at (0, 0, 0) and radius scale, measured in pixels. A 360 panorama would therefore have a resulting width of 2 * scale * PI pixels. Poles are located at (0, -1, 0) and (0, 1, 0) points.

## Constructor & Destructor Documentation

## § SphericalWarper()

cv::detail::SphericalWarper::SphericalWarper | ( | float | scale | ) |
| inline

Construct an instance of the spherical warper class.

Parameters

  scale | Radius of the projected sphere, in pixels. An image spanning the whole sphere will have a width of 2 * scale * PI pixels.

## Member Function Documentation

## § buildMaps()

Rect cv::detail::SphericalWarper::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |
| virtual

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

Implements cv::detail::RotationWarper.

Reimplemented in cv::detail::SphericalWarperGpu.

## § detectResultRoi()

void cv::detail::SphericalWarper::detectResultRoi | ( | Size | src_size,
|  | Point & | dst_tl,
|  | Point & | dst_br
| ) |  |
| protected virtual

Reimplemented from cv::detail::RotationWarperBase< SphericalProjector >.

## § warp()

Point cv::detail::SphericalWarper::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |
| virtual

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

Implements cv::detail::RotationWarper.

Reimplemented in cv::detail::SphericalWarperGpu.

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/warpers.hpp